package dev.shadowsoffire.apotheosis.advancements;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import dev.shadowsoffire.apotheosis.advancements.EnchantedTrigger;
import dev.shadowsoffire.apotheosis.advancements.ExtendedInvTrigger;
import dev.shadowsoffire.apotheosis.advancements.GemCutTrigger;
import dev.shadowsoffire.apotheosis.advancements.ModifierTrigger;
import dev.shadowsoffire.apotheosis.advancements.SplittingTrigger;
import net.minecraft.advancements.CriteriaTriggers;
import net.minecraft.advancements.CriterionTrigger;
import net.minecraft.advancements.critereon.EnchantedItemTrigger;
import net.minecraft.advancements.critereon.InventoryChangeTrigger;
import net.minecraft.resources.ResourceLocation;

public class AdvancementTriggers {
  public static final SplittingTrigger SPLIT_BOOK = new SplittingTrigger();
  
  public static final ModifierTrigger SPAWNER_MODIFIER = new ModifierTrigger();
  
  public static final GemCutTrigger GEM_CUT = new GemCutTrigger();
  
  public static void init() {
    CriteriaTriggers.f_10566_.remove(new ResourceLocation("inventory_changed"));
    CriteriaTriggers.f_10571_ = (InventoryChangeTrigger)CriteriaTriggers.m_10595_((CriterionTrigger)new ExtendedInvTrigger());
    CriteriaTriggers.f_10566_.remove(new ResourceLocation("enchanted_item"));
    CriteriaTriggers.f_10575_ = (EnchantedItemTrigger)CriteriaTriggers.m_10595_((CriterionTrigger)new EnchantedTrigger());
    CriteriaTriggers.m_10595_((CriterionTrigger)SPAWNER_MODIFIER);
    CriteriaTriggers.m_10595_((CriterionTrigger)SPLIT_BOOK);
    CriteriaTriggers.m_10595_((CriterionTrigger)GEM_CUT);
  }
}
